Bug 126920 - convert hangs after converting multiple images
convert hangs after converting multiple images
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: ImageMagick (Show other bugs)
2
All Linux
medium Severity medium
: ---
: ---
Assigned To: Matthias Clasen
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-06-28 22:15 EDT by Joel Uckelman
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-26 14:39:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joel Uckelman 2004-06-28 22:15:57 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.7)
Gecko/20040616

Description of problem:
Whenever I feed convert more than seven images (in this case, photos
from my wedding), it completes the conversion just fine, but fails to
exit, continues using 90%+ of available CPU cycles, and must be 'kill
-9'ed.

Version-Release number of selected component (if applicable):
ImageMagick-5.5.7.15-1.3

How reproducible:
Always

Steps to Reproduce:
1. Put 8 or more PNGs in the current directory.
2. convert 'png:*.png' -resize 31.25% 'jpeg:%02d.jpg'


Actual Results:  All of the PNGs will be shrunk and converted to
JPEGs, but convert will continue burning CPU cycles until killed. 

Expected Results:  convert should return when finished.

Additional info:
Comment 1 Matthew Miller 2005-04-26 12:37:03 EDT
Fedora Core 2 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.
Comment 2 Joel Uckelman 2005-04-26 14:39:52 EDT
The problem does not occur using ImageMagick 6.2.0.7-2.

Note You need to log in before you can comment on or make changes to this bug.